Index: /code/branches/core7/src/orxonox/controllers/HumanController.cc
===================================================================
--- /code/branches/core7/src/orxonox/controllers/HumanController.cc	(revision 10348)
+++ /code/branches/core7/src/orxonox/controllers/HumanController.cc	(revision 10349)
@@ -59,6 +59,4 @@
     SetConsoleCommand("HumanController", __CC_suicide_name,        &HumanController::suicide       ).addShortcut();
     SetConsoleCommand("HumanController", "toggleGodMode",          &HumanController::toggleGodMode ).addShortcut();
-    SetConsoleCommand("HumanController", "addBots",                &HumanController::addBots       ).addShortcut().defaultValues(1);
-    SetConsoleCommand("HumanController", "killBots",               &HumanController::killBots      ).addShortcut().defaultValues(0);
     SetConsoleCommand("HumanController", "cycleNavigationFocus",   &HumanController::cycleNavigationFocus).addShortcut();
     SetConsoleCommand("HumanController", "releaseNavigationFocus", &HumanController::releaseNavigationFocus).addShortcut();
@@ -318,16 +316,4 @@
     }
 
-    void HumanController::addBots(unsigned int amount)
-    {
-        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_ && HumanController::localController_s->controllableEntity_->getGametype())
-            HumanController::localController_s->controllableEntity_->getGametype()->addBots(amount);
-    }
-
-    void HumanController::killBots(unsigned int amount)
-    {
-        if (HumanController::localController_s && HumanController::localController_s->controllableEntity_ && HumanController::localController_s->controllableEntity_->getGametype())
-            HumanController::localController_s->controllableEntity_->getGametype()->killBots(amount);
-    }
-
     Pawn* HumanController::getLocalControllerEntityAsPawn()
     {
Index: /code/branches/core7/src/orxonox/controllers/HumanController.h
===================================================================
--- /code/branches/core7/src/orxonox/controllers/HumanController.h	(revision 10348)
+++ /code/branches/core7/src/orxonox/controllers/HumanController.h	(revision 10349)
@@ -83,7 +83,4 @@
             static void FFChangeMode();
 
-            static void addBots(unsigned int amount);
-            static void killBots(unsigned int amount = 0);
-
             static void pauseControl(); // tolua_export
             static void resumeControl(); // tolua_export
Index: /code/branches/core7/src/orxonox/gametypes/Gametype.cc
===================================================================
--- /code/branches/core7/src/orxonox/gametypes/Gametype.cc	(revision 10348)
+++ /code/branches/core7/src/orxonox/gametypes/Gametype.cc	(revision 10349)
@@ -49,4 +49,10 @@
 namespace orxonox
 {
+    static const std::string __CC_addBots_name  = "addBots";
+    static const std::string __CC_killBots_name = "killBots";
+
+    SetConsoleCommand("Gametype", __CC_addBots_name,  &Gametype::addBots ).addShortcut().defaultValues(1);
+    SetConsoleCommand("Gametype", __CC_killBots_name, &Gametype::killBots).addShortcut().defaultValues(0);
+
     RegisterUnloadableClass(Gametype);
 
@@ -84,8 +90,6 @@
             this->scoreboard_ = 0;
 
-        /* HACK HACK HACK */
-        this->dedicatedAddBots_ = new ConsoleCommand( "dedicatedAddBots", createExecutor( createFunctor(&Gametype::addBots, this) ) );
-        this->dedicatedKillBots_ = new ConsoleCommand( "dedicatedKillBots", createExecutor( createFunctor(&Gametype::killBots, this) ) );
-        /* HACK HACK HACK */
+        ModifyConsoleCommand(__CC_addBots_name).setObject(this);
+        ModifyConsoleCommand(__CC_killBots_name).setObject(this);
     }
 
@@ -95,8 +99,7 @@
         {
             this->gtinfo_->destroy();
-            if( this->dedicatedAddBots_ )
-                delete this->dedicatedAddBots_;
-            if( this->dedicatedKillBots_ )
-                delete this->dedicatedKillBots_;
+
+            ModifyConsoleCommand(__CC_addBots_name).setObject(NULL);
+            ModifyConsoleCommand(__CC_killBots_name).setObject(NULL);
         }
     }
Index: /code/branches/core7/src/orxonox/gametypes/Gametype.h
===================================================================
--- /code/branches/core7/src/orxonox/gametypes/Gametype.h	(revision 10348)
+++ /code/branches/core7/src/orxonox/gametypes/Gametype.h	(revision 10349)
@@ -199,8 +199,4 @@
             std::string scoreboardTemplate_;
 
-            /* HACK HACK HACK */
-            ConsoleCommand* dedicatedAddBots_;
-            ConsoleCommand* dedicatedKillBots_;
-            /* HACK HACK HACK */
             Timer showMenuTimer_;
     };
